Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class AccessControlListIndexService

    java.lang.Object
      oracle.ifs.server.AccessControlListIndexService

All Implemented Interfaces:
  SubService

Direct Known Subclasses:
  TieAccessControlListIndexService

    public class AccessControlListIndexService

extends java.lang.Object
implements SubService

A AccessControlListIndexService manages the iFS ACL index, and updates it transactionally to reflect changes in the authorization model.

(Unpublished)

Field Summary
`static java.lang.String` | `DEFERRED_ACL_RESOLUTION_SEQ_NAME` The name of the deferred ACL resolution sequence.
`static java.lang.String` | `DEFERRED_ACL_RESOLUTION_TABLE_NAME` The name of the deferred ACL resolution table.
`protected AccessControlListDiscoverAccessService` | `m_AclDiscoverAccessService` The ACL resolver service.
`protected AccessControlListProxyService` | `m_AclProxyService` The ACL proxy service.
`protected java.lang.Boolean` | `m_AclResolutionSynchronous` An indication as to whether ACL resolution of the discoverers table is performed synchronously or asynchronously (true indicates synchronous).
`protected java.lang.Long` | `m_GroupIndexPropertyBundleClassId` The Class ID of the Folder Index Properties PropertyBundle
`protected java.lang.Long` | `m_GroupIndexPropertyBundleId` The ID of the Folder Index Properties PropertyBundle
`protected DirectoryGroupIndexService` | `m_GroupIndexService` The Group index service.
`protected S_LibraryService` | `m_Service` The parent library service
`static java.lang.String` | `PARAM_TABLE_NAME` The name of the folder index parameter table.
`protected static int` | `PARAMETER_KEY_MAP_UPDATE_MODE` The parameter key used to indicate whether the map is updated synchronously or asynchronously.
`protected static int` | `PARAMETER_KEY_MAXLEVEL` The parameter key used to hold the maximum number of levels.
`protected static int` | `PARAMETER_VALUE_MAP_UPDATE_MODE_ASYNC` The value of the PARAMETER_KEY_MAP_UPDATE_MODE parameter that indicates the map is updated asynchronously.
`protected static int` | `PARAMETER_VALUE_MAP_UPDATE_MODE_SYNC` The value of the PARAMETER_KEY_MAP_UPDATE_MODE parameter that indicates the map is updated synchronously.
`protected static java.lang.String` | `REPOS_PARAM_RESOLUTIONMODE_KEY` The repository parameter key, used to indicate resolution mode.
`protected static java.lang.String` | `REPOS_PARAM_RESOLUTIONMODE_VALUE_ASYNC` The repository parameter value of the REPOS_PARAM_RESOLUTIONMODE_KEY key that indicates asynchronous resolution mode.
`protected static java.lang.String` | `REPOS_PARAM_RESOLUTIONMODE_VALUE_SYNC` The repository parameter value of the REPOS_PARAM_RESOLUTIONMODE_KEY key that indicates synchronous resolution mode.
`protected static java.lang.String` | `STATEMENT_DELETE_DEFERRED_RESOLUTION_ROW`
`protected static java.lang.String` | `STATEMENT_INSERT_DEFERRED_RESOLUTION_ROW`
`protected static java.lang.String` | `STATEMENT_SELECT_DEFERRED_RESOLUTION_ROWS`

Constructor Summary
`protected` | `AccessControlListIndexService(S_LibraryService service)` Construct a AccessControlListIndexService.

Method Summary
`protected void` | `addToGroup(S_LibrarySession sess, long parentid, long childid)`
`protected void` | `applyDeferredUpdate(S_LibrarySession sess, AccessControlListDeferredUpdate acldu, boolean deleteAfterProcessing)`
`protected void` | `changeUpdateMode(S_LibrarySession session, boolean isSync)`
`protected java.sql.PreparedStatement` | `constructPreparedStatement(LibraryConnection lc, java.sql.Connection conn, java.lang.String key, java.lang.String stmt)`
`protected void` | `createDeferredUpdate(S_LibrarySession session, int operationType, long leftId, long rightId)` create a deferred update entry
`protected void` | `deleteDeferredUpdate(S_LibrarySession session, java.lang.Long id)` delete a set of deferred update entries
`protected void` | `deleteDeferredUpdates(S_LibrarySession session, java.lang.Long[] ids)` delete a set of deferred update entries
`void` | `dispose()` Terminate this subservice.
`protected AccessControlListDiscoverAccessService` | `getAccessControlListDiscoverAccessService()` Gets the AccessControlListProxyService for this S_LibraryService.
`protected AccessControlListProxyService` | `getAccessControlListProxyService()` Gets the AccessControlListProxyService for this S_LibraryService.
`protected DirectoryGroupIndexService` | `getDirectoryGroupIndexService()` Gets the DirectoryGroupIndexService for this S_LibraryService.
`protected java.lang.Long` | `getGroupIndexPropertyBundleClassId(S_LibrarySession sess)`
`protected java.lang.Long` | `getGroupIndexPropertyBundleId(S_LibrarySession sess)`
`protected void` | `getGroupIndexPropertyBundleIds(S_LibrarySession sess)`
`protected java.sql.PreparedStatement` | `getPreparedStatement(LibraryConnection lc, java.sql.Connection conn, java.lang.String key)`
`protected void` | `init(AccessControlListProxyService proxyServ, AccessControlListDiscoverAccessService aclrServ, DirectoryGroupIndexService groupServ)` Initialize this subservice.
`protected boolean` | `isAclResolutionSynchronous()` Returns the ACL resolution mode.
`protected void` | `postEvent(S_LibrarySession sess)`
`protected void` | `registerNewDirectoryObject(S_LibrarySession sess, long id)`
`protected void` | `removeFromGroup(S_LibrarySession sess, long parentid, long childid)`
`protected java.util.Vector` | `selectDeferredResolutionEntries(S_LibrarySession session, int maxItems)` select a set of deferred update entries
`protected void` | `unregisterFreedDirectoryObject(S_LibrarySession sess, long id)`
`protected void` | `updateAclDiscovererTable(S_LibrarySession session, java.lang.Long aclId)` Handles a request to update the ACL discoverer table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPOS_PARAM_RESOLUTIONMODE_KEY

    protected static final java.lang.String REPOS_PARAM_RESOLUTIONMODE_KEY

  Description copied from class: `AccessControlListIndexService`
  The repository parameter key, used to indicate resolution mode.

  See Also:
    Constant Field Values
  (Unpublished)

### REPOS_PARAM_RESOLUTIONMODE_VALUE_SYNC

    protected static final java.lang.String REPOS_PARAM_RESOLUTIONMODE_VALUE_SYNC

  Description copied from class: `AccessControlListIndexService`
  The repository parameter value of the REPOS_PARAM_RESOLUTIONMODE_KEY key that indicates synchronous resolution mode.

  See Also:
    Constant Field Values
  (Unpublished)

### REPOS_PARAM_RESOLUTIONMODE_VALUE_ASYNC

    protected static final java.lang.String REPOS_PARAM_RESOLUTIONMODE_VALUE_ASYNC

  Description copied from class: `AccessControlListIndexService`
  The repository parameter value of the REPOS_PARAM_RESOLUTIONMODE_KEY key that indicates asynchronous resolution mode.

  See Also:
    Constant Field Values
  (Unpublished)

### DEFERRED_ACL_RESOLUTION_TABLE_NAME

    public static final java.lang.String DEFERRED_ACL_RESOLUTION_TABLE_NAME

  Description copied from class: `AccessControlListIndexService`
  The name of the deferred ACL resolution table.

  See Also:
    Constant Field Values
  (Unpublished)

### DEFERRED_ACL_RESOLUTION_SEQ_NAME

    public static final java.lang.String DEFERRED_ACL_RESOLUTION_SEQ_NAME

  Description copied from class: `AccessControlListIndexService`
  The name of the deferred ACL resolution sequence.

  See Also:
    Constant Field Values
  (Unpublished)

### PARAM_TABLE_NAME

    public static final java.lang.String PARAM_TABLE_NAME

  Description copied from class: `AccessControlListIndexService`
  The name of the folder index parameter table.

  See Also:
    Constant Field Values
  (Unpublished)

### PARAMETER_KEY_MAXLEVEL

    protected static final int PARAMETER_KEY_MAXLEVEL

  Description copied from class: `AccessControlListIndexService`
  The parameter key used to hold the maximum number of levels. Currently has the value 1.

  See Also:
    Constant Field Values
  (Unpublished)

### PARAMETER_KEY_MAP_UPDATE_MODE

    protected static final int PARAMETER_KEY_MAP_UPDATE_MODE

  Description copied from class: `AccessControlListIndexService`
  The parameter key used to indicate whether the map is updated synchronously or asynchronously.

  See Also:
    Constant Field Values
  (Unpublished)

### PARAMETER_VALUE_MAP_UPDATE_MODE_SYNC

    protected static final int PARAMETER_VALUE_MAP_UPDATE_MODE_SYNC

  Description copied from class: `AccessControlListIndexService`
  The value of the PARAMETER_KEY_MAP_UPDATE_MODE parameter that indicates the map is updated synchronously. Currently has the value 1.

  See Also:
    Constant Field Values
  (Unpublished)

### PARAMETER_VALUE_MAP_UPDATE_MODE_ASYNC

    protected static final int PARAMETER_VALUE_MAP_UPDATE_MODE_ASYNC

  Description copied from class: `AccessControlListIndexService`
  The value of the PARAMETER_KEY_MAP_UPDATE_MODE parameter that indicates the map is updated asynchronously. Currently has the value 2.

  See Also:
    Constant Field Values
  (Unpublished)

### STATEMENT_SELECT_DEFERRED_RESOLUTION_ROWS

    protected static final java.lang.String STATEMENT_SELECT_DEFERRED_RESOLUTION_ROWS

See Also:
  Constant Field Values

### STATEMENT_INSERT_DEFERRED_RESOLUTION_ROW

    protected static final java.lang.String STATEMENT_INSERT_DEFERRED_RESOLUTION_ROW

See Also:
  Constant Field Values

### STATEMENT_DELETE_DEFERRED_RESOLUTION_ROW

    protected static final java.lang.String STATEMENT_DELETE_DEFERRED_RESOLUTION_ROW

See Also:
  Constant Field Values

### m_Service

    protected S_LibraryService m_Service

  Description copied from class: `AccessControlListIndexService`
  The parent library service

  (Unpublished)

### m_AclResolutionSynchronous

    protected java.lang.Boolean m_AclResolutionSynchronous

  Description copied from class: `AccessControlListIndexService`
  An indication as to whether ACL resolution of the discoverers table is performed synchronously or asynchronously (true indicates synchronous).

  (Unpublished)

### m_AclProxyService

    protected AccessControlListProxyService m_AclProxyService

  Description copied from class: `AccessControlListIndexService`
  The ACL proxy service.

  (Unpublished)

### m_AclDiscoverAccessService

    protected AccessControlListDiscoverAccessService m_AclDiscoverAccessService

  Description copied from class: `AccessControlListIndexService`
  The ACL resolver service.

  (Unpublished)

### m_GroupIndexService

    protected DirectoryGroupIndexService m_GroupIndexService

  Description copied from class: `AccessControlListIndexService`
  The Group index service.

  (Unpublished)

### m_GroupIndexPropertyBundleId

    protected java.lang.Long m_GroupIndexPropertyBundleId

  Description copied from class: `AccessControlListIndexService`
  The ID of the Folder Index Properties PropertyBundle

  (Unpublished)

### m_GroupIndexPropertyBundleClassId

    protected java.lang.Long m_GroupIndexPropertyBundleClassId

  Description copied from class: `AccessControlListIndexService`
  The Class ID of the Folder Index Properties PropertyBundle

  (Unpublished)

Constructor Detail

### AccessControlListIndexService

    protected AccessControlListIndexService(S_LibraryService service)
                                     throws IfsException

  Construct a AccessControlListIndexService.

  Parameters:
    `service` - the requesting library service
  Throws:
    `IfsException` - if operation fails.

Method Detail

### init

    protected void init(AccessControlListProxyService proxyServ,
                        AccessControlListDiscoverAccessService aclrServ,
                        DirectoryGroupIndexService groupServ)
                 throws IfsException

  Description copied from class: `AccessControlListIndexService`
  Initialize this subservice. Hold on to the 3 inner subservices.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### dispose

    public void dispose()
                 throws IfsException

  Description copied from class: `AccessControlListIndexService`
  Terminate this subservice. This method is required by the SubService interface; it currently does nothing.

  Specified by:
    `dispose` in interface `SubService`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAccessControlListProxyService

    protected AccessControlListProxyService getAccessControlListProxyService()

  Description copied from class: `AccessControlListIndexService`
  Gets the AccessControlListProxyService for this S_LibraryService.

  Returns:
    the ACL proxy service
  (Unpublished)

### getAccessControlListDiscoverAccessService

    protected AccessControlListDiscoverAccessService getAccessControlListDiscoverAccessService()

  Description copied from class: `AccessControlListIndexService`
  Gets the AccessControlListProxyService for this S_LibraryService.

  Returns:
    the ACL proxy service
  (Unpublished)

### getDirectoryGroupIndexService

    protected DirectoryGroupIndexService getDirectoryGroupIndexService()

  Description copied from class: `AccessControlListIndexService`
  Gets the DirectoryGroupIndexService for this S_LibraryService.

  Returns:
    the group index service
  (Unpublished)

### isAclResolutionSynchronous

    protected final boolean isAclResolutionSynchronous()

  Description copied from class: `AccessControlListIndexService`
  Returns the ACL resolution mode.

  Returns:
    true if the resolution mode is synchronous; false otherwise
  (Unpublished)

### changeUpdateMode

    protected void changeUpdateMode(S_LibrarySession session,
                                    boolean isSync)
                             throws IfsException

  Throws:
    `IfsException`

### createDeferredUpdate

    protected void createDeferredUpdate(S_LibrarySession session,
                                        int operationType,
                                        long leftId,
                                        long rightId)
                                 throws IfsException

  Description copied from class: `AccessControlListIndexService`
  create a deferred update entry

  Parameters:
    `session` - the session
    `operationType` - the Operation type
    `leftId` - the ID of the left object
    `rightId` - the ID of the right object (if any)
  Throws:
    `IfsException` - (IFS-10064) if the operation fails
  (Unpublished)

### deleteDeferredUpdate

    protected void deleteDeferredUpdate(S_LibrarySession session,
                                        java.lang.Long id)
                                 throws IfsException

  Description copied from class: `AccessControlListIndexService`
  delete a set of deferred update entries

  Parameters:
    `session` - the session
    `id` - the ID of the deferred update entry
  Throws:
    `IfsException` - (IFS-10062) if the operation fails
  (Unpublished)

### deleteDeferredUpdates

    protected void deleteDeferredUpdates(S_LibrarySession session,
                                         java.lang.Long[] ids)
                                  throws IfsException

  Description copied from class: `AccessControlListIndexService`
  delete a set of deferred update entries

  Parameters:
    `session` - the session
    `ids` - the IDs of the deferred update entries
  Throws:
    `IfsException` - (IFS-10062) if the operation fails
  (Unpublished)

### selectDeferredResolutionEntries

    protected java.util.Vector selectDeferredResolutionEntries(S_LibrarySession session,
                                                               int maxItems)
                                                        throws IfsException

  Description copied from class: `AccessControlListIndexService`
  select a set of deferred update entries

  Parameters:
    `session` - the session
    `maxItems` - max number of entries to select
  Returns:
    Vector of AccessControlListDeferredUpdate
  Throws:
    `IfsException` - (IFS-10063) if the operation fails
  (Unpublished)

### applyDeferredUpdate

    protected void applyDeferredUpdate(S_LibrarySession sess,
                                       AccessControlListDeferredUpdate acldu,
                                       boolean deleteAfterProcessing)
                                throws IfsException

  Throws:
    `IfsException`

### postEvent

    protected void postEvent(S_LibrarySession sess)
                      throws IfsException

  Throws:
    `IfsException`

### getGroupIndexPropertyBundleId

    protected java.lang.Long getGroupIndexPropertyBundleId(S_LibrarySession sess)
                                                    throws IfsException

  Throws:
    `IfsException`

### getGroupIndexPropertyBundleClassId

    protected java.lang.Long getGroupIndexPropertyBundleClassId(S_LibrarySession sess)
                                                         throws IfsException

  Throws:
    `IfsException`

### getGroupIndexPropertyBundleIds

    protected void getGroupIndexPropertyBundleIds(S_LibrarySession sess)
                                           throws IfsException

  Throws:
    `IfsException`

### registerNewDirectoryObject

    protected void registerNewDirectoryObject(S_LibrarySession sess,
                                              long id)
                                       throws IfsException

  Throws:
    `IfsException`

### unregisterFreedDirectoryObject

    protected void unregisterFreedDirectoryObject(S_LibrarySession sess,
                                                  long id)
                                           throws IfsException

  Throws:
    `IfsException`

### addToGroup

    protected void addToGroup(S_LibrarySession sess,
                              long parentid,
                              long childid)
                       throws IfsException

  Throws:
    `IfsException`

### removeFromGroup

    protected void removeFromGroup(S_LibrarySession sess,
                                   long parentid,
                                   long childid)
                            throws IfsException

  Throws:
    `IfsException`

### updateAclDiscovererTable

    protected void updateAclDiscovererTable(S_LibrarySession session,
                                            java.lang.Long aclId)
                                     throws IfsException

  Description copied from class: `AccessControlListIndexService`
  Handles a request to update the ACL discoverer table. If ASYNC mode is in effect, create a deferred update entry

  Parameters:
    `session` - the session
    `aclId` - the ID of the ACL
  Throws:
    `IfsException` - (IFS-10065) if the operation fails
  (Unpublished)

### getPreparedStatement

    protected java.sql.PreparedStatement getPreparedStatement(LibraryConnection lc,
                                                              java.sql.Connection conn,
                                                              java.lang.String key)

### constructPreparedStatement

    protected java.sql.PreparedStatement constructPreparedStatement(LibraryConnection lc,
                                                                    java.sql.Connection conn,
                                                                    java.lang.String key,
                                                                    java.lang.String stmt)
                                                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD